как установить и запустить phpize


Answers

Для пользователей PHP7

sudo apt-get install php7.0-dev
Question

Я имею в виду установить ffmpeg в качестве расширения моей настройки php. Поэтому, прежде чем я смогу установить его, мне нужно его phpize . Я установил php5-dev с помощью sudo apt-get install php5-dev Но теперь, когда я запускаю phpize, я получаю следующую ошибку:

phpize
Cannot find config.m4. 
Make sure that you run '/usr/bin/phpize' in the top level source directory of the module

Местонахождение моего php.ini - /usr/local/zend/etc/php.ini

Из другого онлайн-ресурса я попробовал это

sudo apt-get install autoconf automake libtool m4

Но все они уже установлены.

Найти config.m4 ничего не возвращает.

Любые указатели здесь, как я могу получить phpize и, таким образом, ffmpeg и работает?




Установить с терминала linux

sudo apt-get install <php_version>-dev

Пример :

sudo apt-get install php5-dev     #For `php` version 5
sudo apt-get install php7.0-dev   #For `php` version 7.0



В Ubuntu 16.04 вы можете установить phpize с помощью команды

aptitude install php7.1-dev // for php 7.1

что эквивалентно

apt-get install php7.1-dev // for php 7.1



В Redhat Enterprise / CentOS используйте yum для установки модуля php-devel :

yum install php-devel

Для PHP 7 вам необходимо:

yum install php70-php-devel



Например, если вы хотите использовать команду «phpize» для PHP 5.6, вы должны использовать полный путь: Код:

/opt/cpanel/ea-php56/root/usr/bin/phpize



Для ubuntu с plesk установлен запуск apt-get install plesk-php56-dev, для других версий просто измените XX в phpXX (без точки)

https://nelsahost.com